#ifndef _kernelbin_
#define _kernelbin_

#include <stdlib.h>
#include <stdio.h>
#include <zlib.h>
#include <string.h>
#include "../common/common.h"

/* kernel type definition */
typedef struct _kernel_bin_t {
  int nbBlocks;                   /* block count in kernel.bin file         */
  unsigned short int *blockNum;   /* list of block ID defined in kernel.bin */
  unsigned short int *blockSize;  /* size of each block                     */
  char **blockData;               /* data contained in each block           */
} kernel_t;

kernel_t *kernel_load(char *fileName);              /* loads a kernel.bin file */
int kernel_save(char *fileName, kernel_t *kernel);  /* saves a kernel.bin file */
void clear_kernel(kernel_t *kernel);                /* clears a kernel_t structure */

#endif
