#include <string.h>
#include <ff7scene.h>
/*#include <cdformat.h>
#include <common.h>
#include <kernelbin.h>
#include <scene.h>
*/
#define OPT_HELP      1
#define OPT_NRG2ISO   2
#define OPT_BIN2ISO   3
#define OPT_ISO2BIN   4
#define OPT_KERNEL_P  5
#define OPT_SCENE_P   6
#define OPT_SCENE_EXP 7
#define OPT_SCENE_IMP 8
#define OPT_MONST_EXP 9
#define OPT_MONST_IMP 10

#ifdef FRENCH

#define UNKNOWN_COMMAND "Erreur : commande %s inconnue.\n\n"
#define HELP_USAGE      "Utilisation : %s <commande> [parametres]\n"
#define HELP_USAGE_2    "              %s --help <commande> pour davantage de details\n\n"
#define HELP_COMMANDS   "commande:"
#define HELP_COMMAND_1  "\n  nrg2iso      - convertit un fichier Nero au format ISO (** non teste **)"
#define HELP_COMMAND_2  "\n  bin2iso      - convertit une image de CD brute au format ISO"
#define HELP_COMMAND_3  "\n  iso2bin      - convertit un fichier ISO en image de CD brute"
#define HELP_COMMAND_4  "\n  kernel-patch - met a jour un fichier KERNEL.BIN dans un fichier ISO"
#define HELP_COMMAND_5  "\n  scene-patch  - met a jour un fichier SCENE.BIN dans un fichier ISO"
#define HELP_COMMAND_6  "\n  scene-export - exporte un fichier SCENE.BIN vers un format texte lisible"
#define HELP_COMMAND_7  "\n  scene-import - importe un fichier texte pour generer un nouveau SCENE.BIN"
#define HELP_COMMAND_8  "\n  monst-export - exporte le bestiaire d un SCENE.BIN au format texte"
#define HELP_COMMAND_9  "\n  monst-import - importe le bestiaire d un fichier texte"

#define HELP_COMMAND_1_H1 "  %s nrg2iso <fichier.nrg> <fichier.iso>\n\n"
#define HELP_COMMAND_1_H2 "Convertit un fichier Nero au format ISO.\n\n"

#define HELP_COMMAND_2_H1 "  %s bin2iso <fichier.bin> <fichier.iso>\n\n"
#define HELP_COMMAND_2_H2 "Convertit une image brute de CD (cdrdao, CDRWin, ...), portant generalement l extension .bin, au format ISO.\n\n"

#define HELP_COMMAND_3_H1 "  %s iso2bin <fichier.iso> <fichier.bin>\n\n"
#define HELP_COMMAND_3_H2 "Convertit un fichier au format ISO en image brute, pouvant etre ensuite gravee a l aide de cdrecord, Nero ou encore CDRWin, ou utilisee avec un emulateur Playstation tel que ePSXe.\n\n"

#define HELP_COMMAND_4_H1 "  %s kernel-patch <kernel_original.bin> <kernel_modifie.bin> <fichier.iso>\n\n"
#define HELP_COMMAND_4_H2 "Recherche kernel_original.bin dans fichier.iso, et le remplace par kernel_modifie.bin.\nIMPORTANT : Si la taille du fichier kernel_modifie.bin depasse celle de l original, certaines donnees presentes sur l image ISO peuvent etre ecrasees et donc perdues.\n\n"

#define HELP_COMMAND_5_H1 "  %s scene-patch <scene_originale.bin> <scene_modifie.bin> <fichier.iso>\n\n"
#define HELP_COMMAND_5_H2 "Recherche scene_originale.bin dans fichier.iso, et le remplace par scene_modifiee.bin.\nIMPORTANT : Si la taille du fichier scene_modifiee.bin depasse celle de l original, certaines donnees presentes sur l image ISO peuvent etre ecrasees et donc perdues.\n\n"

#define HELP_COMMAND_6_H1 "  %s scene-export <scene.bin> <scene.txt>\n\n"
#define HELP_COMMAND_6_H2 "Exporte la totalite des donnees contenues dans le fichier scene.bin vers un fichier texte lisible et modifiable.\n\n"

#define HELP_COMMAND_7_H1 "  %s scene-import <scene.txt> <scene.bin> [<kernel_org.bin> <k_dest.bin>]\n\n"
#define HELP_COMMAND_7_H2 "Genere un fichier scene.bin a partir des donnees contenues dans scene.txt, si le format de ce dernier est correct. Facultativement, il est possible de generer un nouveau fichier kernel.bin prenant en compte le contenu du nouveau fichier scene.bin, il suffit pour cela de fournir le fichier kernel.bin original.\n\n"

#define HELP_COMMAND_8_H1 "  %s monst-export <scene.bin> <best.txt>\n\n"
#define HELP_COMMAND_8_H2 "Genere un fichier texte contenant l integralite du bestiaire present dans SCENE.BIN.\n\n"

#define HELP_COMMAND_9_H1 "  %s monst-import <best.txt> <scene_org.bin> <scene_mod.bin> [<kernel_org.bin> <k_dest.bin>]\n\n"
#define HELP_COMMAND_9_H2 "Genere un nouveau fichier SCENE.BIN a partir de l original et d un fichier texte contenant le bestiaire. Facultativement, il est possible de generer un nouveau fichier kernel.bin prenant en compte le contenu du nouveau fichier scene.bin, il suffit pour cela de fournir le fichier kernel.bin original.\n\n"

#else

#define UNKNOWN_COMMAND "Error : unknown command %s.\n\n"
#define HELP_USAGE      "Usage : %s <command> [parameters]\n"
#define HELP_USAGE_2    "        %s --help <command> for details\n\n"
#define HELP_COMMANDS   "command:"
#define HELP_COMMAND_1  "\n  nrg2iso      - converts a Nero file to ISO format (** not tested **)"
#define HELP_COMMAND_2  "\n  bin2iso      - converts a raw binary CD image to ISO format"
#define HELP_COMMAND_3  "\n  iso2bin      - converts an ISO file to binary CD image"
#define HELP_COMMAND_4  "\n  kernel-patch - patches an ISO file with a KERNEL.BIN file"
#define HELP_COMMAND_5  "\n  scene-patch  - patches an ISO file with a SCENE.BIN file"
#define HELP_COMMAND_6  "\n  scene-export - exports a SCENE.BIN file to a readable text file"
#define HELP_COMMAND_7  "\n  scene-import - imports a text file to generate a SCENE.BIN file"
#define HELP_COMMAND_8  "\n  monst-export - exports a SCENE.BIN bestiary to a text file"
#define HELP_COMMAND_9  "\n  monst-import - imports a bestiary from a text file"

#define HELP_COMMAND_1_H1 "  %s nrg2iso <file.nrg> <file.iso>\n\n"
#define HELP_COMMAND_1_H2 "Converts a Nero file to ISO format.\n\n"

#define HELP_COMMAND_2_H1 "  %s bin2iso <file.bin> <file.iso>\n\n"
#define HELP_COMMAND_2_H2 "Converts a raw CD image (cdrdao, CDRWin, ...), usually a .bin file, to ISO format.\n\n"

#define HELP_COMMAND_3_H1 "  %s iso2bin <file.iso> <file.bin>\n\n"
#define HELP_COMMAND_3_H2 "Converts an ISO file to a raw binary file, which can be burned with software like cdrecord, Nero or CDRWin, or can be used with a Playstation emulator like ePSXe.\n\n"

#define HELP_COMMAND_4_H1 "  %s kernel-patch <kernel_original.bin> <kernel_modified.bin> <file.iso>\n\n"
#define HELP_COMMAND_4_H2 "Searches for kernel_original.bin in file.iso, and replace it with kernel_modified.bin.\nWARNING : If kernel_modified.bin file size a greater than original one, some data in ISO image could be overwritten and lost.\n\n"

#define HELP_COMMAND_5_H1 "  %s scene-patch <scene_original.bin> <scene_modified.bin> <file.iso>\n\n"
#define HELP_COMMAND_5_H2 "Searches scene_original.bin in file.iso, and replace it with scene_modified.bin.\nWARNING : If scene_modified.bin file size is greated than original one, some data in ISO image could be overwritten and lost.\n\n"

#define HELP_COMMAND_6_H1 "  %s scene-export <scene.bin> <scene.txt>\n\n"
#define HELP_COMMAND_6_H2 "Exports the whole data from scene.bin file to a readable and editable text file.\n\n"

#define HELP_COMMAND_7_H1 "  %s scene-import <scene.txt> <scene.bin> [<kernel_org.bin> <k_dest.bin>]\n\n"
#define HELP_COMMAND_7_H2 "Generates a scene.bin file using data included in scene.txt, if its format is correct. Optionnaly, you can generate a new kernel.bin file which takes account of the new content of scene.bin : you just have to provide the original kernel.bin file.\n\n"

#define HELP_COMMAND_8_H1 "  %s monst-export <scene.bin> <best.txt>\n\n"
#define HELP_COMMAND_8_H2 "Generates a text file describing the whole bestiary included in SCENE.BIN file.\n\n"

#define HELP_COMMAND_9_H1 "  %s monst-import <best.txt> <scene_org.bin> <scene_mod.bin> [<kernel_org.bin> <k_dest.bin>]\n\n"
#define HELP_COMMAND_9_H2 "Generates a new SCENE.BIN file using the original one and a bestiary text file. Optionnaly, you can generate a new kernel.bin file which takes account of the new content of scene.bin : you just have to provide the original kernel.bin file.\n\n"

#endif
